recipe give @a *
execute unless entity @e[tag=display1] run summon minecraft:area_effect_cloud 9 7.1 0 {Duration:999999,CustomNameVisible:1b,CustomName:'{"text":"Welcome to","color":"yellow"}',Tags:["display1"]}
execute unless entity @e[tag=display2] run summon minecraft:area_effect_cloud 9 6.8 0 {Duration:999999,CustomNameVisible:1b,CustomName:'{"text":"Complicated Parkour","color":"gold","bold":"true"}',Tags:["display2"]}
execute unless entity @e[tag=display3] run summon minecraft:area_effect_cloud 9 6.3 0 {Duration:999999,CustomNameVisible:1b,CustomName:'{"text":"Each level has its own twist"}',Tags:["display3"]}
execute unless entity @e[tag=display4] run summon minecraft:area_effect_cloud 9 6.0 0 {Duration:999999,CustomNameVisible:1b,CustomName:'{"text":"in additon to doing parkour."}',Tags:["display4"]}
execute unless entity @e[tag=display5] run summon minecraft:area_effect_cloud 9 5.5 0 {Duration:999999,CustomNameVisible:1b,CustomName:'{"text":"Complete all of the levels to win!"}',Tags:["display5"]}
execute unless entity @e[tag=display6] run summon minecraft:area_effect_cloud 9 5.2 0 {Duration:999999,CustomNameVisible:1b,CustomName:'{"text":"Map by: mickae, GlxyLuke and Yeatzy!","color":"gray","italic":"true"}',Tags:["display6"]}

function levels:overworld/tick
function levels:aquatic/tick
function levels:nether/tick
function levels:music/tick
function levels:level/exit
function levels:level/check
execute positioned 1365 100 0 if entity @a[distance=..100] run function levels:final/tick
execute as @a at @s if block ~ ~-.1 ~ gold_block run spawnpoint @s

execute if entity @a[x=845,y=89,z=-2,dx=5,dy=1,dz=4] run fill 850 89 0 850 90 0 air destroy
execute unless entity @a[x=845,y=89,z=-2,dx=5,dy=1,dz=4] run fill 850 89 0 850 90 0 minecraft:light_blue_wool replace
execute as @a[x=860,y=80,z=-2,dx=5,dy=1,dz=4] at @s run tp @s ~500 100 ~
execute positioned 600 100 0 as @a[distance=..300] at @s store result score @s y run data get entity @s Pos[1]
execute positioned 600 100 0 as @a[distance=..300,scores={y=..78}] at @s run kill @s

execute in minecraft:the_end positioned 100 49 0 as @a[distance=..5] run tp @s 0 102 0
execute positioned 0 10 0 as @a[distance=..60,gamemode=!creative] at @s if block ~ ~-.1 ~ minecraft:dark_prismarine_slab[waterlogged=true] run tp @s 0 7 0

execute positioned 0 5 0 if entity @a[distance=..1.5] run summon minecraft:area_effect_cloud 0 4 0 {Duration:10,CustomName:'{"text":"Purple Beacon Beam"}'}
execute positioned 0 5 0 unless entity @a[distance=..1.5] run kill @e[type=minecraft:area_effect_cloud,name="Purple Beacon Beam"]
execute positioned 0 100 -550 as @a[distance=301..] at @s unless entity @s[nbt={ActiveEffects:[{Id:16b}]}] run effect give @s minecraft:night_vision 999999 10 true
execute positioned 0 100 -550 as @a[distance=..300] at @s if entity @s[nbt={ActiveEffects:[{Id:16b}]}] run effect clear @s minecraft:night_vision
execute positioned -500 100 0 as @a[distance=301..] at @s unless entity @s[nbt={ActiveEffects:[{Id:23b}]}] run effect give @s minecraft:saturation 999999 10 true
execute positioned -500 100 0 as @a[distance=..300] at @s if entity @s[nbt={ActiveEffects:[{Id:23b}]}] run effect clear @s minecraft:saturation
execute positioned -500 100 0 as @a[distance=301..] at @s if entity @s[nbt={ActiveEffects:[{Id:17b}]}] run effect clear @s minecraft:hunger
execute positioned -500 100 0 as @a[distance=..300] at @s unless entity @s[nbt={ActiveEffects:[{Id:17b}]}] run effect give @s minecraft:hunger 999999 100 true

execute if score open completed matches 8.. if block 0 5 0 quartz_pillar if block 0 6 0 air run setblock 0 6 0 minecraft:stone_button[face=floor]
execute if score open completed matches 8.. if block 0 6 0 stone_button[powered=true] run fill -1 5 1 1 5 -1 air destroy
execute unless score open completed matches 8.. if block 0 6 0 stone_button[powered=true] run setblock 0 6 0 air destroy
execute unless score open completed matches 8.. run clone -1 0 1 1 0 -1 -1 5 -1

execute as @a[tag=inlevel] at @s unless entity @s[nbt={Inventory:[{id:"minecraft:barrier",Count:1b}]}] run replaceitem entity @s hotbar.5 minecraft:barrier{display:{Name:'{"text":"Drop to give up!","italic":"false","bold":"true","color":"red"}'}}
execute as @a[tag=inlevel] at @s unless entity @s[nbt={Inventory:[{id:"minecraft:gold_nugget",Count:1b}]}] run replaceitem entity @s hotbar.3 minecraft:gold_nugget{display:{Name:'{"text":"Drop to go to checkpoint!","italic":"false","bold":"true","color":"gold"}'}}

execute as @a[scores={checkpoint=1..}] at @s run kill @e[type=item,sort=nearest,limit=1,nbt={Item:{id:"minecraft:gold_nugget"}}]
execute as @a[scores={checkpoint=1..}] at @s run kill @s
execute as @a[scores={checkpoint=1..}] at @s run scoreboard players reset @s checkpoint

execute as @a[gamemode=spectator] at @s unless entity @a[tag=inlevel,limit=1,distance=..10] run spectate @p[tag=inlevel,sort=nearest,limit=1,gamemode=!spectator]